# highoutput-react-scripts

This package includes scripts and configuration used by [High Output Labs](https://github.com/Proto-Garage/create-react-app).

## Using typescript

To start a new Create React App project using [TypeScript](https://www.typescriptlang.org/), you can run:

```
npx create-react-app [your-app-name] --scripts-version highoutput-react-scripts --typescript --use-npm
```

The above will use npm package manager to install dependencies. By default, any app created by create-react-app uses yarn.

## Setting up apollo configuration

Open `./src/.env` file, and then change the `REACT_APP_GRAPHQL_ENDPOINT` with your graphql endpoint.

### Generate fragment types

Inside the `scripts/queryFragments.js`, replace `http://api.site.development.aonewallet.com/graphql` with your GraphQL endpoint.

Inside `package.json`, add the below script:

```
{
  "build:fragments": "NODE_ENV=production node scripts/queryFragments.js",
}
```

Run the `build:fragments`, this will generate the fragments from the GraphQL endpoint.


## Authenticating users

To authenticate users, you should first setup the endpoint for the authentication. You can set it in `./src/.env`, and set `REACT_APP_AUTH_ENDPOINT` to your endpoint.

## Default component library

Out of the box it uses [Sancho UI](https://sancho-ui.com/#___gatsby) as the default component library. The library utilizes React hooks for the implementaion of its component library.
