import ApolloClient from 'apollo-boost';
import {
  IntrospectionFragmentMatcher,
  InMemoryCache,
} from 'apollo-cache-inmemory';
import introspectionQueryResultData from './fragmentTypes.json';

const fragmentMatcher = new IntrospectionFragmentMatcher({
  introspectionQueryResultData,
});

const cache = new InMemoryCache({ fragmentMatcher });

const client = new ApolloClient({
  uri: (window as any).HighOutputLabsConfig.REACT_APP_API_URL,
  cache,
  request: async operation => {
    const accessToken = await localStorage.getItem('accessToken');
    operation.setContext({
      headers: {
        'admin-code': 'g298',
        authorization: `Bearer ${accessToken}`,
      },
    });
  },
});

export default client;
