/** @jsx jsx */
import { jsx, css } from '@emotion/core';
import * as React from 'react';
import { RouteComponentProps, Link } from '@reach/router';
import { Text, Layer, InputGroup, Input, Button } from 'sancho';
import { Redirect } from '@reach/router';
import { useAccountValue } from '../../hooks/useAccount';

const Login: React.FC<RouteComponentProps> = () => {
  const { account } = useAccountValue();
  if (account) return <Redirect to="/dashboard" noThrow />;
  return (
    <Layer
      elevation="xs"
      css={css`
        max-width: 450px;
        margin: 5rem auto 0;
        padding: 2rem;
      `}
    >
      <Text
        variant="h1"
        css={css`
          text-align: center;
          margin-bottom: 2rem;
        `}
      >
        Sign in
      </Text>
      <div
        css={css`
          margin-bottom: 1rem;
        `}
      >
        <form>
          <InputGroup
            label="Email"
            css={css`
              margin-bottom: 1rem;
            `}
          >
            <Input placeholder="ben.mcmahen@gmail.com" />
          </InputGroup>
          <Button intent="primary" block>
            Sign in
          </Button>
        </form>
      </div>
      <Text
        variant="subtitle"
        css={css`
          text-align: center;
        `}
      >
        Don’t have an account? <Link to="/register">Sign up</Link>
      </Text>
    </Layer>
  );
};

export default Login;
